-- не настраивать
require( "scripts/game/deftime.lua" );
GameObject = {
-- основные параметры
    Params = {
        ID="cow_stog";
        width=1;
        height=1;
        GridData = { 1 }; 
    };
    -- точки подхода персонажа
    ActivePoints = { 
        eating = { 
                        { {"cow"}, 1,0,0,  0,  1,0,0 };
                   }; 
    };
    Objects = { };
    -- перечисление всех задач для обьекта
    Tasks = { 
        --eating = { FuncName="none" };
    };
    -- перечисление всех триггеров для обьекта
    Triggers = { };
    --задачи которые начинают выполнятся после создания обьекта
    InitActiveTasks = { };
    --задачи которые обьект ожидает после создания обьекта
    InitExpectedTasks = {};
    -- акция
    Action = {  
        Name = "eating";  
        IDs = {"cow"};
    }
};
function GameObject:Get()
    return self;
end
function GetParams()
    aObj = GameObject:Get();   
    return aObj.Params;
end
